

fs/compat.c: In function `compat_sys_ioctl':
fs/compat.c:324: warning: implicit declaration of function `siocdevprivate_ioctl'


 arch/parisc/kernel/ioctl32.c  |    1 +
 arch/sparc64/kernel/ioctl32.c |    1 +
 arch/x86_64/ia32/ia32_ioctl.c |    1 +
 fs/compat.c                   |    1 +
 include/net/sock.h            |    2 ++
 5 files changed, 6 insertions(+)

diff -puN arch/parisc/kernel/ioctl32.c~siocdevprivate_ioctl-warning-fix arch/parisc/kernel/ioctl32.c
--- 25-power4/arch/parisc/kernel/ioctl32.c~siocdevprivate_ioctl-warning-fix	2003-05-22 00:57:34.000000000 -0700
+++ 25-power4-akpm/arch/parisc/kernel/ioctl32.c	2003-05-22 00:57:34.000000000 -0700
@@ -53,6 +53,7 @@
 #include <linux/pci.h>
 #include <linux/serial.h>
 #include <linux/watchdog.h>
+#include <net/sock.h>		/* siocdevprivate_ioctl */
 
 #include <scsi/scsi.h>
 /* Ugly hack. */
diff -puN arch/sparc64/kernel/ioctl32.c~siocdevprivate_ioctl-warning-fix arch/sparc64/kernel/ioctl32.c
--- 25-power4/arch/sparc64/kernel/ioctl32.c~siocdevprivate_ioctl-warning-fix	2003-05-22 00:57:34.000000000 -0700
+++ 25-power4-akpm/arch/sparc64/kernel/ioctl32.c	2003-05-22 00:57:34.000000000 -0700
@@ -56,6 +56,7 @@
 #include <linux/rtc.h>
 #include <linux/pci.h>
 #include <linux/dm-ioctl.h>
+#include <net/sock.h>		/* siocdevprivate_ioctl */
 
 #include <scsi/scsi.h>
 /* Ugly hack. */
diff -puN arch/x86_64/ia32/ia32_ioctl.c~siocdevprivate_ioctl-warning-fix arch/x86_64/ia32/ia32_ioctl.c
--- 25-power4/arch/x86_64/ia32/ia32_ioctl.c~siocdevprivate_ioctl-warning-fix	2003-05-22 00:57:34.000000000 -0700
+++ 25-power4-akpm/arch/x86_64/ia32/ia32_ioctl.c	2003-05-22 00:57:34.000000000 -0700
@@ -61,6 +61,7 @@
 #include <linux/if_tun.h>
 #include <linux/dirent.h>
 #include <linux/ctype.h>
+#include <net/sock.h>		/* siocdevprivate_ioctl */
 #include <net/bluetooth/bluetooth.h>
 #include <net/bluetooth/rfcomm.h>
 
diff -puN fs/compat.c~siocdevprivate_ioctl-warning-fix fs/compat.c
--- 25-power4/fs/compat.c~siocdevprivate_ioctl-warning-fix	2003-05-22 00:57:34.000000000 -0700
+++ 25-power4-akpm/fs/compat.c	2003-05-22 00:57:34.000000000 -0700
@@ -31,6 +31,7 @@
 #include <linux/smp_lock.h>
 #include <linux/ctype.h>
 #include <linux/module.h>
+#include <net/sock.h>		/* siocdevprivate_ioctl */
 
 #include <asm/uaccess.h>
 
diff -puN include/net/sock.h~siocdevprivate_ioctl-warning-fix include/net/sock.h
--- 25-power4/include/net/sock.h~siocdevprivate_ioctl-warning-fix	2003-05-22 00:57:34.000000000 -0700
+++ 25-power4-akpm/include/net/sock.h	2003-05-22 00:57:34.000000000 -0700
@@ -944,4 +944,6 @@ static inline void sock_valbool_flag(str
 extern __u32 sysctl_wmem_max;
 extern __u32 sysctl_rmem_max;
 
+int siocdevprivate_ioctl(unsigned int fd, unsigned int cmd, unsigned long arg);
+
 #endif	/* _SOCK_H */

_
